io.vertx.rxjava.ext.sql

## Class SQLClient

- java.lang.Object
- - io.vertx.rxjava.ext.sql.SQLClient

- Direct Known Subclasses:
    AsyncSQLClient, JDBCClient

      public class SQLClient
      extends Object

  A common asynchronous client interface for interacting with SQL compliant database

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<SQLClient>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SQLClient(SQLClient delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close the client
    `void` | `close(Handler<AsyncResult<Void>> completionHandler)` Close the client and release all resources.
    `rx.Observable<Void>` | `closeObservable()` Deprecated. use `rxClose()` instead
    `SQLClient` | `getConnection(Handler<AsyncResult<SQLConnection>> handler)` Returns a connection that can be used to perform SQL operations on.
    `rx.Observable<SQLConnection>` | `getConnectionObservable()` Deprecated. use `rxGetConnection()` instead
    `SQLClient` | `getDelegate()`
    `static SQLClient` | `newInstance(SQLClient arg)`
    `rx.Single<Void>` | `rxClose()` Close the client and release all resources.
    `rx.Single<SQLConnection>` | `rxGetConnection()` Returns a connection that can be used to perform SQL operations on.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<SQLClient> __TYPE_ARG

  - ### Constructor Detail

    - #### SQLClient

          public SQLClient(SQLClient delegate)

  - ### Method Detail

    - #### getDelegate

          public SQLClient getDelegate()

    - #### getConnection

          public SQLClient getConnection(Handler<AsyncResult<SQLConnection>> handler)

      Returns a connection that can be used to perform SQL operations on. It's important to remember to close the connection when you are done, so it is returned to the pool.
      Parameters:
        `handler` - the handler which is called when the `JdbcConnection` object is ready for use.
      Returns:

    - #### getConnectionObservable

          @Deprecated
          public rx.Observable<SQLConnection> getConnectionObservable()

      Deprecated. use `rxGetConnection()` instead
      Returns a connection that can be used to perform SQL operations on. It's important to remember to close the connection when you are done, so it is returned to the pool.
      Returns:

    - #### rxGetConnection

          public rx.Single<SQLConnection> rxGetConnection()

      Returns a connection that can be used to perform SQL operations on. It's important to remember to close the connection when you are done, so it is returned to the pool.
      Returns:

    - #### close

          public void close(Handler<AsyncResult<Void>> completionHandler)

      Close the client and release all resources. Call the handler when close is complete.
      Parameters:
        `completionHandler` - the handler that will be called when close is complete

    - #### closeObservable

          @Deprecated
          public rx.Observable<Void> closeObservable()

      Deprecated. use `rxClose()` instead
      Close the client and release all resources. Call the handler when close is complete.
      Returns:

    - #### rxClose

          public rx.Single<Void> rxClose()

      Close the client and release all resources. Call the handler when close is complete.
      Returns:

    - #### close

          public void close()

      Close the client

    - #### newInstance

          public static SQLClient newInstance(SQLClient arg)

Copyright © 2017. All rights reserved.